<?php

/*
    ExtremeDating - a Hackathon 2013 project.
    Copyright (C) 2013 Gustav Hartvigsson <gustav.hartvigsson@gmail.com>
    Copyright (C) 2013 Daniel Johansson <maila@danieljohansson.nu>


    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

include "php/db.php";
$def =
"iVBORw0KGgoAAAANSUhEUgAAARgAAAEYCAYAAACHjumMAAAABmJLR0QA/wD/AP+gvaeTAAAACXBI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";

header("Content-type: image/png");
if(isset($_GET['userName'])){
  $username = $_GET['userName'];
  $query = "SELECT profileImage FROM Users WHERE loginName = '{$username}'";
  $tuples = $db->query($query);
  //var_dump($tuples);
  $fetch = $tuples->fetchAll();
  //var_dump($fetch);
  if(count($fetch) > 0 && $fetch[0]['profileImage'] != "" ) {
    echo(base64_decode($fetch[0]['profileImage']));
  } else {
    echo base64_decode($def);
  } 
} else {
  echo base64_decode($def);
}


?>
