<?php
/*
    ExtremeDating - a Hackathon 2013 project.
    Copyright (C) 2013 Gustav Hartvigsson <gustav.hartvigsson@gmail.com>
    Copyright (C) 2013 Daniel Johansson <maila@danieljohansson.nu>


    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 */
$db = new PDO("sqlite:./database.db");

$db->setAttribute(PDO::ATTR_ERRMODE, 
                          PDO::ERRMODE_EXCEPTION);

/*
Database design:
Users(_loginName_, shadow, firstName, surName, city, eMail, profileImage, userType);
Resturants(_id_, name, city, phoneNumber, theme);
# Theme is if it is, say, a pizzeria or a french resturant or something.
Interests(_interest_);
FoodType(_foodType_);
UserInterests(-loginName-, -interest-);
UserFoodTypes(-loginName-, -foodType-);
*/

// Create User table
$db->exec("
  CREATE TABLE IF NOT EXISTS Users(
  loginName varchar(64) PRIMARY KEY,
  shadow varchar(64) NOT NULL,
  firstName varchar(64) NOT NULL,
  surName varchar(64) NOT NULL,
  city varchar(64) NOT NULL,
  eMail varchar(64) NOT NULL,
  profileImage blob,
  userType INTEGER,
  UNIQUE (loginName)
  );
");

//Create Resturants tabel
$db->exec("
  CREATE TABLE IF NOT EXISTS Resturants(
  id integer PRIMARY KEY,
  name varchar(64) NOT NULL,
  city varchar(64) NOT NULL,
  phoneNumber varchar(64) NOT NULL,
  theme varchar(64)
  );
");

//Create Interests Table - This table stores the intrests a user may have.
$db->exec("
  CREATE TABLE IF NOT EXISTS Interests(
  interest varchar(64) PRIMARY KEY
  );
");

//Create FoodTypes table - this table stores the different types of food thet 
// exist.
$db->exec("
  CREATE TABLE IF NOT EXISTS FoodTypes(
  foodType varchar(64) PRIMARY KEY
  );
");

//Populate foodTypes
$db->beginTransaction();
try {
  $arr = array('husman','kina','thai','mex','italienskt','franskt','grekisk',
  'fika','efterrätter');
  foreach ($arr as $i) {
    //echo $i.'\n';
    $query = "
       INSERT OR IGNORE INTO FoodTypes VALUES('{$i}');
    ";
    $db->exec($query);
  }
  $db->commit();
  sleep(.5);
} catch (PDOException $err) {
  var_dump($err);
  echo "\n";
}

try {
  $db->beginTransaction();
  $arr = array('php','sql','GNU/Linux','Nix','HP','mat','3d','hen-gris');
  foreach ($arr as $i) {
    //echo $i.'\n';
    $query = "
       INSERT OR IGNORE INTO Interests VALUES('{$i}');
    ";
    $db->exec($query);
  }
  $db->commit();
  sleep(.5);
} catch (PDOException $err) {
  var_dump($err);
}


try {
  $db->beginTransaction();
  // Relations
  $db->exec("
    CREATE TABLE IF NOT EXISTS UserIntrests(
    loginName varchar(64),
    interest varchar(64),
    FOREIGN KEY(loginName) REFERENCES Users(loginName),
    FOREIGN KEY(interest) REFERENCES Interests(interest),
    PRIMARY KEY(loginName, interest)
    );
  ");
  
  
  $db->exec("
    CREATE TABLE IF NOT EXISTS UserFoodTypes(
    loginName varchar(64),
    foodType varchar(64),
    FOREIGN KEY(loginName) REFERENCES Users(loginName),
    FOREIGN KEY(foodType) REFERENCES FoodTypes(foodType),
    PRIMARY KEY(loginName, foodType)
    );
  "); 
  
	$db->exec("
		CREATE TABLE IF NOT EXISTS dateInterests(
		user1 varchar(64),
		user2 varchar(64),
		FOREIGN KEY(user1) REFERENCES Users(loginName),
		FOREIGN KEY(user2) REFERENCES Users(loginName),
		PRIMARY KEY(user1, user2)
		);
	");
	
	$db->exec("
		CREATE TABLE IF NOT EXISTS planLunch(
		user1 varchar(64),
		user2 varchar(64),
		message varchar(1024),
		date datetime,
		accepted bool,
		FOREIGN KEY(user1) REFERENCES Users(loginName),
		FOREIGN KEY(user2) REFERENCES Users(loginName),
		PRIMARY KEY(user1, user2)
		);
	");
  $db->commit();
} catch (PDOException $err) {
  echo $err;
}

?>
